Resultados 1 al 4 de 4

Tema: Grave vulnerabilidad a través de telnet en Sun Solaris

  1. #1 Grave vulnerabilidad a través de telnet en Sun Solaris 
    Avanzado
    Fecha de ingreso
    Jun 2006
    Mensajes
    538
    Descargas
    3
    Uploads
    0
    Se ha descubierto un error en el telnet de Sun Solaris que puede permitir a un atacante obtener de forma trivial privilegios de root.

    Se ha descubierto un error en la instalación por defecto de Sun Solaris que permite a un atacante externo que tenga acceso al servidor de telnet acceder con privilegios de root de forma trivial. El exploit es público y basta con acceder al sistema mediante el comando:
    telnet -l "-froot" [nombre_de_host]
    También permite sustituir a cualquier otro usuario mediante:
    telnet -l "-fusuario" [hostname]
    Se ha comprobado que afecta a Sun Solaris 10, pero otras versiones también podrían verse afectadas. No existe parche oficial. Se recomienda deshabilitar inmediatamente el acceso por telnet, parando el servicio o limitando el acceso al puerto 23.


    Fuente: http://www.hispasec.com
    Citar  
     

  2. #2  
    Moderador HH
    Fecha de ingreso
    Mar 2003
    Ubicación
    Galiza
    Mensajes
    3.918
    Descargas
    8
    Uploads
    1
    El fallo si es jodidillo, pero bueno, hace unos años no pasaba una semana en donde no saliese un nuevo esploit para aprovecharse un fallo de un Unix, un Linux, un VAX, etc... ahora como la gente se centra más en Windows parece mucho, pero de esos los había a patadas hace unos años, lo más famosos los relativos a SendMail (mira que había exploits para él y mira que tenian fallos)...

    Es si, lo notorios de la noticia es que Solaris es uno de los 3 SO más seguros del mundo, pero bueno, que un producto sea bueno no quiere decir que no tenga fallos graves, lo raro hubiese sido que no apareciese ninguno, ya que hacía años que no aparecia ninguno de esta envergadura para Solaris...
    He conocido muchos dioses. Quien niegue su existencia está tan ciego como el que confía en ellos con una fe desmesurada. Robert E. Howard
    La suerte ayuda a la mente preparada.
    Citar  
     

  3. #3  
    Co-Admin HackHispano.com Avatar de clarinetista
    Fecha de ingreso
    Jan 2004
    Ubicación
    HackHispano/SM
    Mensajes
    7.703
    Descargas
    30
    Uploads
    8
    Si que tienes razón gondar_f, es una novedad una vulnerabilidad de este tipo.
    Es como lo que te choca que aparezcan en sistemas BSD.
    También me quedo con dos cosas:

    • En 2002, en menos de 48 horas, Sun tenía disponibles parches oficiales para este problema.
    • Nada en este vida es seguro, y menos si depende de usuarios que le lleven a cabo
    Citar  
     

  4. #4  
    Moderador HH
    Fecha de ingreso
    Mar 2003
    Ubicación
    Galiza
    Mensajes
    3.918
    Descargas
    8
    Uploads
    1
    En 2002, en menos de 48 horas, Sun tenía disponibles parches oficiales para este problema.
    Nada en este vida es seguro, y menos si depende de usuarios que le lleven a cabo
    Muy buenos incisos.
    Por cierto, es cierto, hace unos años, en pocos horas SUN solucionaba cualquier tipo de fallo y ahora se retrasa algo más, aun así creo que ya esta solucionado. La verdad, yo tengo instalado el Solaris10, aunque practicamente no lo uso, y la verdad ni me moleste, ya que yo tengo cerrado ese puerto en el firewal de router.

    Por cierto, un apunte, la verdad es que aunque este fallo fuera gravillo (a día de hoy casi nadíe deja acceso por telnet fuera de la red local), lo sorprendente es que solo apareciera este, recordad que buena parte del SO Solaris ahora es Open Source bajo OpenSolaris (la parte afectada está dentro de ese código liberado hace un par de años). Lo que demuestra, que si bien no hay ningún software perfecto, el código de SUN tiene una calidad embidiable.

    Un Saludo

    PD: no se si será cierto, pero creo que también aparecio un fallo vastante grave en NetBSD hace unos días... lo que demuestra que incluso los más aplicados de la clase pueden tener un mal día.
    He conocido muchos dioses. Quien niegue su existencia está tan ciego como el que confía en ellos con una fe desmesurada. Robert E. Howard
    La suerte ayuda a la mente preparada.
    Citar  
     

Temas similares

  1. Grave vulnerabilidad en Firefox
    Por 4v7n42 en el foro NOTICIAS
    Respuestas: 3
    Último mensaje: 21-02-2007, 18:18
  2. Grave vulnerabilidad en RealVNC
    Por clarinetista en el foro NOTICIAS
    Respuestas: 1
    Último mensaje: 18-05-2006, 20:09
  3. Grave vulnerabilidad Gmail
    Por j8k6f4v9j en el foro NOTICIAS
    Respuestas: 0
    Último mensaje: 12-11-2005, 05:36
  4. Vulnerabilidad en el demonio CacheFS de Solaris
    Por {^JaB3^} en el foro VULNERABILIDADES
    Respuestas: 0
    Último mensaje: 15-05-2003, 09:24
  5. Respuestas: 0
    Último mensaje: 09-04-2003, 19:20

Marcadores

Marcadores

Permisos de publicación

  • No puedes crear nuevos temas
  • No puedes responder temas
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •